Companies

US Companies

Call GET /us/companies on the Corpus API.

GET /us/companies

Call GET /us/companies on the Corpus API.

Category: US · Companies

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
tickerquerynostring | null
as_ofquerynostring | null
limitquerynointegerdefault 100; min 1; max 2000
offsetquerynointegerdefault 0; min 0

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/companies?ticker=AAPL&limit=100' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonCompaniesResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "companies": [
    {
      "name": "string",
      "cik": "0000320193",
      "sec_filings_url": "https://corpus-api.onera.app",
      "ticker": "AAPL",
      "exchange": "string",
      "sic_code": "string",
      "sic_industry": "string",
      "sector": "string",
      "industry": "string",
      "location": "string",
      "is_active": true
    }
  ],
  "meta": {
    "jurisdiction": "US",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}